#version 400
#extension GL_EXT_geometry_shader4 : enable

in vec3 vertexPosIn[gl_VerticesIn];
in vec3 NIn[gl_VerticesIn];
in vec2 TextureCoordIn[gl_VerticesIn];

out vec3 vertexPos;
out vec3 N;
out vec2 TextureCoord;

void main (void)
{
	for(int i=0; i< gl_VerticesIn; i++){
		vertexPos = vertexPosIn[i];
		N = NIn[i];
		TextureCoord = TextureCoordIn[i];
		gl_Position = gl_PositionIn[i];
		EmitVertex();
	}
  EndPrimitive ();
}