#version 330 compatibility
uniform sampler2D mipmapTexture;


//average- min - max, 1
vec4 mipmapDepth()
{
	vec4 tex = vec4(0, 10000, 0, 0);
	for(int i = 0; i < 2; ++i)
	{
		for(int j = 0; j < 2; ++j)
		{
			float x = -texelFetch(mipmapTexture, ivec2(gl_FragCoord.xy), 0 ).z;
			tex.y = x < tex.y ? x : tex.y;
			tex.z = x > tex.z ? x : tex.z;
			tex.x += x;
		}
	}
	tex.x /= 4;
			
	return tex;
}

vec4 mipmapNormal()
{
	vec4 tex = texelFetch(mipmapTexture, ivec2(gl_FragCoord.xy), 0 )
			+ texelFetch(mipmapTexture, ivec2(gl_FragCoord.xy + vec2(0,1)), 0 )
			+ texelFetch(mipmapTexture, ivec2(gl_FragCoord.xy + vec2(1,0)), 0 )
			+ texelFetch(mipmapTexture, ivec2(gl_FragCoord.xy + vec2(1,1)), 0 );
			
			
	return tex * 0.25;
}

void main (void) {
    vec4 tex = mipmapDepth();
    gl_FragColor = vec4(tex );
}